
(***************** This is the FeynRules model file for Higgs effective couplings to gluons and photons ***********)

(* M$ModelName = "Higgs_Effective_Couplings"; *)

(* The loop coefficient *)

(******
sert[x_] := 1+ 7/30 x + 2/21 x^2 + 26/525 x^3;

serw[xw_, xt_] := 1 + xw * 66/235 +xw^2 * 228/1645 + xw^3 * 696/8225 +
            xw^4 * 5248/90475 +xw^5 * 1280/29939+ xw^6 * 54528/1646645-
            xt * 56/705 - xt^2 * 32/987;
*******)


(***** Parameter list ******)

M$ParametersggH = {

(******
AH == {TeX -> Subscript[A, H],
       ParameterType -> Internal,
       InteractionOrder -> {HIW, 1},
       Value -> ee^2/4/Pi/(Pi*vev)*(47/18)*serw[(MH/2/MW)^2, (MH/2/MT)^2]},

GH == {TeX -> Subscript[G, H],
       ParameterType -> Internal,
       InteractionOrder -> {HIG, 1},
       Value -> -gs^2/4/Pi/(3*Pi*vev)*sert[(MH/2/MT)^2] }
*******)

AAH == {TeX -> Subscript[AA, H],
       ParameterType -> External,
       InteractionOrder -> {HIW, 1},
       Value            -> 1.0 * 10^(-3),
       Description      -> "Effective AAH coupling"
       },


GGH == {TeX -> Subscript[GG, H],
       ParameterType -> External,
       InteractionOrder -> {HIG, 1},
       Value            -> 1.0 * 10^(-3),
       Description      -> "Effective GGH coupling"
       }
}



(******* Lagrangian *******)

(* CP even operators *)

LCPEven := - 1/4 FS[G, mu, nu, b] FS[G, mu, nu, b] GGH ( cosalf H + sinalf S ) - 1/4 FS[A, mu, nu] FS[A, mu, nu] AAH ( cosalf H + sinalf S );





